var Wxss = require('./wxss');
var path=require('path');
var fs=require('fs');
var debug=require('debug')('wevue');

module.exports = function(wxFolder, vueFolder, rootFolder) {

    var wxssFile = path.join(wxFolder, 'app.wxss');
    var cssFile = path.join(vueFolder, 'src', 'app.css');

    debug('wxssFile', wxssFile);
    if (fs.existsSync(wxssFile)) {
        var wxss = fs.readFileSync(wxssFile, 'utf8');
        var css = Wxss(wxss);
        fs.writeFileSync(cssFile, css);
    } else {
        fs.writeFileSync(cssFile, "");
    }

     wxssFile = path.join(wxFolder, 'global.wxss');
     cssFile = path.join(vueFolder, 'src', 'global.css');
    debug('wxssFile', wxssFile);
    if (fs.existsSync(wxssFile)) {
        var wxss = fs.readFileSync(wxssFile, 'utf8');
        var css = Wxss(wxss);
        fs.writeFileSync(cssFile, css);
    } else {
        fs.writeFileSync(cssFile, "");
    }
}
