//输换

var path = require('path');
var fs = require('fs');
var Page = require('./page');
var debug = require('debug')('wevue');

module.exports = function(wxFolder, vueFolder, app, rootFolder, wevueFolder, program, cb) {

    var count = 0;
    debug('pages wevueFolder...', wevueFolder);

    var papgesFolder = path.join(vueFolder, 'src', 'pages');

    if (!fs.existsSync(papgesFolder)) {
        fs.mkdirSync(papgesFolder);
    }
    if (app.pages && app.pages.length == 0) {
        cb(null)
    }

    for (var i = 0; i < app.pages.length; i++) {
        var page = app.pages[i];
        Page(wxFolder, vueFolder, page, rootFolder, wevueFolder, program, function(err, res) {
            count++;

            if (count === app.pages.length) {
                debug(page, count, app.pages.length);
                typeof(cb) === 'function' && cb(err, res);
            }
        });
    }
}
